public static interface GuavaEventBusEndpointBuilderFactory.GuavaEventBusBuilders
| Modifier and Type | Method and Description |
|---|---|
default GuavaEventBusEndpointBuilderFactory.GuavaEventBusEndpointBuilder |
guavaEventbus(String path)
Guava EventBus (camel-guava-eventbus)
Send and receive messages to/from Guava EventBus.
|
default GuavaEventBusEndpointBuilderFactory.GuavaEventBusEndpointBuilder |
guavaEventbus(String componentName,
String path)
Guava EventBus (camel-guava-eventbus)
Send and receive messages to/from Guava EventBus.
|
default GuavaEventBusEndpointBuilderFactory.GuavaEventBusEndpointBuilder guavaEventbus(String path)
guava-eventbus:eventBusRef
Path parameter: eventBusRef
To lookup the Guava EventBus from the registry with the given namepath - eventBusRefdefault GuavaEventBusEndpointBuilderFactory.GuavaEventBusEndpointBuilder guavaEventbus(String componentName, String path)
guava-eventbus:eventBusRef
Path parameter: eventBusRef
To lookup the Guava EventBus from the registry with the given namecomponentName - to use a custom component name for the endpoint
instead of the default namepath - eventBusRefApache Camel